> ## Documentation Index
> Fetch the complete documentation index at: https://docs.herondata.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete EndUser by heron_id or end_user_id (async)

> Asynchronously delete an end user and its associated transactions. Returns immediately with a 202 status while deletion proceeds in the background.




## OpenAPI

````yaml https://app.herondata.io/swagger post /api/end_users/{end_user_id_or_heron_id}/delete
openapi: 3.0.0
info:
  contact:
    email: support@herondata.io
    name: Support
  title: Heron Data API
  version: '2021-07-19'
servers:
  - description: Production
    url: https://app.herondata.io
security:
  - ApiKeyAuth:
      - key_XXX
externalDocs:
  description: Read Tutorial
  url: https://docs.herondata.io/
paths:
  /api/end_users/{end_user_id_or_heron_id}/delete:
    post:
      tags:
        - EndUsers
      summary: Delete EndUser by heron_id or end_user_id (async)
      description: >
        Asynchronously delete an end user and its associated transactions.
        Returns immediately with a 202 status while deletion proceeds in the
        background.
      parameters:
        - in: path
          name: end_user_id_or_heron_id
          required: true
          schema:
            type: string
      responses:
        '202':
          content:
            application/json:
              schema:
                properties:
                  heron_id:
                    example: eus_Eqio3Y4dhyNiMphrXwG58p
                    type: string
                  status:
                    example: pending
                    type: string
                type: object
          description: Accepted — deletion is in progress
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      in: header
      name: x-api-key
      type: apiKey

````